import {Component} from '@angular/core'

export let globalLoadingWheel: LoadingWheelComponent | null

@Component({
  selector: 'cre-loading-wheel',
  templateUrl: './loading-wheel.component.html',
  styleUrls: ['./loading-wheel.component.sass']
})
export class LoadingWheelComponent {
  visible = false

  constructor() {
    globalLoadingWheel = this
  }

  show() {
    this.visible = true
  }

  hide() {
    this.visible = false
  }
}
