import {Component, Input, ViewChild} from '@angular/core';
import {FormControl} from "@angular/forms";
import {ThemePalette} from "@angular/material/core";
import {MaterialFileInputModule} from "ngx-material-file-input";

@Component({
  selector: 'cre-file-button',
  templateUrl: './file-button.component.html',
  styleUrls: ['./file-button.component.sass']
})
export class FileButtonComponent {
  @ViewChild('fileInput') fileInput: MaterialFileInputModule

  @Input() label: string
  @Input() color: ThemePalette
  @Input() accept: string
  @Input() control: FormControl | null
}
