import {MaterialType} from "./materialtype.model";
import {openPdf} from '../utils/utils'

export class Material {
  constructor(
    public id: number,
    public name: string,
    public inventoryQuantity: number,
    public materialType: MaterialType,
    public simdutUrl: string
  ) {
  }
}

export function openSimdut(material: Material) {
  openPdf(material.simdutUrl)
}
