import {Component} from '@angular/core'
import {NavLink} from '../../modules/shared/components/nav/nav.component'
import {Permission} from '../../modules/shared/model/user'
import {SubMenuComponent} from '../../modules/shared/components/sub-menu/sub-menu.component'

@Component({
  selector: 'cre-inventory-page',
  templateUrl: './catalog.component.html',
  styleUrls: ['./catalog.component.sass']
})
export class CatalogComponent extends SubMenuComponent {
  links: NavLink[] = [
    {route: '/catalog/materialtype', title: 'Types de produit', permission: Permission.VIEW_CATALOG},
    {route: '/catalog/material', title: 'Inventaire', permission: Permission.VIEW_CATALOG},
    {route: '/catalog/company', title: 'Bannières', permission: Permission.VIEW_CATALOG}
  ]
}
